    import StaticChampionEndpoint from 'kayn/lib/Endpoints/StaticEndpoints/StaticChampionEndpoint.js'

public class | source

# StaticChampionEndpoint

#### Extends:

Endpoint~Endpoint → StaticSuperclass → StaticChampionEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |
public | resourceName: string |

## Method Summary

Public Methods
public | get(championID: number): * Retrieves champion by ID. |
public | list(): * Retrieves champion list. |

## Inherited Summary

From class StaticSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

StaticSuperclass#constructor

## Public Members

### public config: * source

### public limiter: * source

### public resourceName: string source

## Public Methods

### public get(championID: number): * source

Retrieves champion by ID.

Implements GET `/lol/static-data/v3/champions/{id}`.

#### Params:

Name | Type | Attribute | Description
championID | number |  | The id of the champion.

#### Return:

*

### public list(): * source

Retrieves champion list.

Implements GET `/lol/static-data/v3/champions`.

#### Return:

*